<script src="./Script.js"></script>

<template>
  <div class="m-portlet">
    <div class="m-portlet__head s-portlet__head" style="height: 4.2rem;">
      <div class="m-portlet__head-caption">
        <div class="m-portlet__head-title">
          <h3 class="m-portlet__head-text s-portlet__head-text">{{ chart_title }}</h3>
        </div>
      </div>
      <div class="m-portlet__head-tools" v-if="chart_exists">
        <ul class="m-portlet__nav">
          <li
            class="m-portlet__nav-item m-dropdown m-dropdown--inline m-dropdown--arrow m-dropdown--align-right m-dropdown--align-push"
            m-dropdown-toggle="click"
            aria-expanded="true"
          >
            <a href="#" class="m-portlet__nav-link m-portlet__nav-link--icon m-dropdown__toggle">
              <i class="la la-ellipsis-h"></i>
            </a>
            <div class="m-dropdown__wrapper">
              <span class="m-dropdown__arrow m-dropdown__arrow--right m-dropdown__arrow--adjust"></span>
              <div class="m-dropdown__inner">
                <div class="m-dropdown__body">
                  <div class="m-dropdown__content">
                    <ul class="m-nav s-nav">
                      <li v-if="currentView == 'chart'" class="m-nav__item table_type">
                        <a href class="m-nav__link" @click.prevent="changeView('table')">
                          <i class="m-nav__link-icon la la-th-large"></i>
                          <span class="m-nav__link-text">Xem dạng bảng</span>
                        </a>
                      </li>
                      <li v-if="currentView == 'table'" class="m-nav__item chart_type">
                        <a href class="m-nav__link" @click.prevent="changeView('chart')">
                          <i class="m-nav__link-icon la la-bar-chart"></i>
                          <span class="m-nav__link-text">Xem dạng biểu đồ</span>
                        </a>
                      </li>
                      <li class="m-nav__item" v-if="currentView == 'chart'">
                        <a href class="m-nav__link" @click.prevent="exportImageChart()">
                          <i class="m-nav__link-icon icon icon-download"></i>
                          <span class="m-nav__link-text">Tải ảnh biểu đồ</span>
                        </a>
                      </li>
                      <li class="m-nav__item">
                        <a href class="m-nav__link" @click.prevent="exportToExcel()">
                          <i class="m-nav__link-icon icon icon-download"></i>
                          <span class="m-nav__link-text">Export ra excel</span>
                        </a>
                      </li>
                    </ul>
                  </div>
                </div>
              </div>
            </div>
          </li>
        </ul>
      </div>
    </div>
    <div class="m-portlet__body s-portlet__body">
      <div class="overlay" style="display: none;">
        <div class="lds-ring">
          <div></div>
          <div></div>
          <div></div>
          <div></div>
        </div>
      </div>

      <div v-if="currentView == 'table'">
        <slot name="table"></slot>
      </div>

      <div v-if="currentView == 'chart'">
        <slot name="chart"></slot>
      </div>
    </div>
  </div>
</template>
